Subject: Re: [bug#75959] [PATCH v10] services: syncthing: Add support for config file generation.

From: Leo Famulari <[email-masked]>
Date: Mon, 24 Feb 2025 21:20:15 -0500

On Sun, Feb 23, 2025 at 12:29:25AM +0100, Rodion Goritskov wrote:
> I also have a problem (cannot say if it the same as Gabriel's) - after upgrade my Syncthing
> instances stopped working with the odd error "remote device missing in
> cluster config".

I see this too. I don't use the Guix service for Syncthing so it has
nothing to do with that.

> However, it looks like it is not because the service itself, but because
> of the syncthing upgrade to 1.29.2 in commit
> 06d37f38606fabbace21e55ec7f2546b3ae5214f.

Yes, seems that way.

> After that everything started working as before.
> Will try to investigate the issue further - couldn't find anything
> related neither in Syncthing form nor in the Github issues.

Let's try to debug a bit before reporting this upstream.